#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-Dqjivy3k3YyIZAGIwK8QYa
key:                  ghcide-1.4.1.0-Dqjivy3k3YyIZAGIwK8QYa
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  c051a4a1d840b14603bdcfa8c55a3501
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.4.1.0-Dqjivy3k3YyIZAGIwK8QYa
depends:
    Diff-0.4.1-FiiLff7t5E5GQiNRbilrU9
    Glob-0.10.2-6BvieWos8EIInjxbqPEpjD
    aeson-1.5.6.0-D6JFXMoVVY440Mpm8YlAiW
    aeson-pretty-0.8.9-4FM0CqUjksBBvSARdoqSRK array-0.5.4.0
    async-2.2.4-CZCW19AQt64j5Nn1VW4P0 base-4.15.1.0
    base16-bytestring-1.0.2.0-1csYxhEsYs5IL7o3RWgSzs binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.2.0-AMiufblEtnrBGnZ0HffPnT
    case-insensitive-1.2.1.0-AnE8Ie2nwCHDj5Bu7Kwsw containers-0.6.4.1
    cryptohash-sha1-0.11.101.0-JH70iwWQltzBU107CY3hoA
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW deepseq-1.4.5.0
    dependent-map-0.4.0.0-1WlBCMaMtrWCiR4UQ78wjJ
    dependent-sum-0.7.1.0-GLVd1x1bApkJkV8TcpO2PH directory-1.3.6.2
    dlist-1.0-ImNlUre2rHgIkuGbqNQCOO
    extra-1.7.10-AL1Ba609U0525uKVju4cgf filepath-1.4.2.1
    fingertree-0.1.5.0-7boozpixR7YHugahaqNuIN
    fuzzy-0.1.0.1-KNES2Zjf9Q42cNOXo3FAgi ghc-9.0.2
    ghc-api-compat-8.6.1-F4jVXTaEYzcGEcFzzf0nwC ghc-boot-9.0.2
    ghc-boot-th-9.0.2 ghc-check-0.5.0.6-HoJUqFUI1dBD7H5Gu5ZWXv
    ghc-exactprint-0.6.4-FtYNFWafvhHKOMe9c3oY8C
    ghc-paths-0.1.0.12-7fRPaqGgnC488dNzs2elDi
    ghc-trace-events-0.1.2.5-20Skp14Tvmg9qSNMhFPbkW
    haddock-library-1.10.0-FckelEX65CTElZnrudAX2Y
    hashable-1.4.0.2-BtUN60XU2rZ3DwXWIBThsB
    heapsize-0.3.0.1-E9rOPsNKlmbErWzK1lj0cH
    hie-bios-0.7.6-EN5VfWfT6yZ2375MT4FRh7
    hie-compat-0.2.0.0-HIRtu2tZqQkzZYfKK8kwk
    hiedb-0.4.1.0-BoeyqqV72udJe62WvyDlTX
    hls-graph-1.4.0.0-Hx7OQHb3Lq6DeMYZ8P6pmE
    hls-plugin-api-1.2.0.0-DDkOVu4oIR68m8jFATgO58
    hslogger-1.3.1.0-C7GhBqIzkyDJl5oO4Nk0uO
    implicit-hie-cradle-0.3.0.5-8B4Wfe3BqBLGPlPT5E51mX
    lens-5.1.1-8E4VVgbuyZB1VAyRQnC4Kb
    lsp-1.2.0.1-1Oh9r8PVBh71wCSGqyFrPU
    lsp-types-1.3.0.1-HXOnpoOWop32hfXDUvjazK mtl-2.2.2
    network-uri-2.6.4.1-y8FoVZgjIQ3c5KlrbV6Id
    opentelemetry-0.7.0-Eb2j5QD6GQ0KR17I8jBS1b
    optparse-applicative-0.16.1.0-DocEnhf6XB6BINJWUzA2PL
    parallel-3.2.2.0-D2aleEa2VnPBr164BdKnms
    prettyprinter-1.7.1-EuQvQlcQMFw3XsrBZtFNf
    prettyprinter-ansi-terminal-1.1.3-CrPVx9tynhrJbQHwKLHqaz
    regex-tdfa-1.3.1.2-R4cqD1ONIjB4g0AHXP2H5
    retrie-1.1.0.0-LQVpjrAORUj8YPoXw73geF
    rope-utf16-splay-0.3.2.0-7IXWy6IxUqyENkIzUr6y7p
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    safe-exceptions-0.1.7.3-9Z3tMYHFt5EDmmLLfsdbOy
    sorted-list-0.2.1.0-6jcghXYTAOG6xcHgKgM12R
    sqlite-simple-0.4.18.2-1ic2B2G6tq77Ea8GJfCh6s stm-2.5.0.0
    syb-0.7.2.1-84p4GY15bjq39xuR6nm671 text-1.2.5.0 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.22.0-Iv0BQCewGdbFK9NowJxpW4
    unliftio-core-0.2.0.1-HjGpVpPktr5Bc3kYrL6LtS
    unordered-containers-0.2.19.1-7SQ4DJN6rki64sevxnHKhZ
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.12.3.1-Im4rxp8YGWIHuHWC3z5rRi

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

